Subject: Re: [RFC] act_cpu: redirect skb receiving to a special CPU.

From: Andi Kleen <[email-masked]>
Date: Mon, 07 Jun 2010 10:43:44 +0200

jamal <[email-masked]> writes:
>
> I would look at it as "messaging of remote CPU" which may not result
> in an IRQ. I am pretty sure if you tried hard you could use HT in AMD
> hardware - the remote cpu may have an IRQ triggered but it wont be as
> expensive as IPI.

It's unlikely you'll find any way on x86 to do an IPI that is cheaper
than an standard IPI. That is unless you dedicate the receiver to poll
or monitor.

On recent higher end Intel CPUs X2APIC IPIs will be somewhat cheaper
than classical APIC IPIs.

But for a normal "IPI user" like networking it looks all the same,
it's hidden by the architecture code.

-Andi

-- 
[email-masked] -- Speaking for myself only.